// NMT_ProtocolDlg.h : header file
//

#if !defined(AFX_NMT_PROTOCOLDLG_H__59AE3F98_9344_49FC_90D1_7284A3CBF7B1__INCLUDED_)
#define AFX_NMT_PROTOCOLDLG_H__59AE3F98_9344_49FC_90D1_7284A3CBF7B1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CNMT_ProtocolDlg dialog
class CNMT_ProtocolDlg : public CDialog
{
// Construction
public:
	CNMT_ProtocolDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CNMT_ProtocolDlg)
	enum { IDD = IDD_NMT_PROTOCOL_DIALOG };
	CListBox	m_reslist;
	CButton	m_btn_removenode;
	CEdit	m_lifetime;
	CEdit	m_heartbeat;
	CEdit	m_guardtime;
	CEdit	m_consumer;
	CComboBox	m_status;
	CComboBox	m_slot;
	CComboBox	m_node;
	CComboBox	m_baud;
	CButton	m_btn_setstate;
	CButton	m_btn_shutdown;
	CButton	m_btn_initial;
	CButton	m_btn_heartbeat;
	CButton	m_btn_guarding;
	CButton	m_btn_clear;
	CButton	m_btn_addnode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNMT_ProtocolDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	void Enable_Disable(bool Sta);
	// Generated message map functions
	//{{AFX_MSG(CNMT_ProtocolDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboSlot();
	afx_msg void OnSelchangeComboBaud();
	afx_msg void OnSelchangeComboNode();
	afx_msg void OnSelchangeComboStatus();
	afx_msg void OnButtonInitial();
	afx_msg void OnButtonShutdown();
	afx_msg void OnButtonAddnode();
	afx_msg void OnButtonRemove();
	afx_msg void OnButtonClear();
	afx_msg void OnButtonSetstate();
	afx_msg void OnButtonGuarding();
	afx_msg void OnButtonHeartbeat();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NMT_PROTOCOLDLG_H__59AE3F98_9344_49FC_90D1_7284A3CBF7B1__INCLUDED_)
